#
# spec file for package konversation (Version 0.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           konversation
BuildRequires:  kdelibs3-devel
URL:            http://konversation.kde.org/
License:        GPL
Group:          Productivity/Networking/IRC
Autoreqprov:    on
Version:        0.19
Release:        3.1
Summary:        A User-Friendly IRC Client for KDE 3
Source:         konversation-%version.tar.bz2
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          fix-gcc41.diff
Patch1:         default-channel-suse.diff

%description
Konversation is a user-friendly IRC client for KDE 3.x.



Authors:
--------
    Dario Abatianni <eisfuchs@tigress.com>
    Matthias Gierlings <gismore@users.sourceforge.net>
    Alex Zepeda <garbanzo@hooked.net>
    Stanislav Karchebny <berkus@users.sourceforge.net>
    Mickael Marchand <marchand@kde.org>
    Peter Simonsson <psn@linux.se>
    Christian Muehlhaeuser <chris@chris.de>
    John Tapsell <johnflux@gmail.com>
    Shintaro Matsuoka <shin@shoegazed.org>
    &#304;smail Dnmez <ismail@kde.org.tr>
    Eike Hein <sho@eikehein.com>

%debug_package
%prep
%setup -q
%patch
%patch1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
%if %suse_version > 1000
CXXFLAGS="$CXXFLAGS -fstack-protector" ./configure $configkde --disable-final
%else
CXXFLAGS="$CXXFLAGS" ./configure $configkde --disable-final
%endif
./configure $configkde --disable-final
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name IRCClient
%find_lang %name

%files  -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/*
%dir /opt/kde3/share/icons/hicolor/*/apps
/opt/kde3/share/apps/konversation
/opt/kde3/bin/*
/opt/kde3/share/applications/kde/konversation.desktop
/opt/kde3/share/config.kcfg/konversation.kcfg
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/apps/kconf_update/*
/opt/kde3/share/services/*

%changelog -n konversation
* Mon May 15 2006 - jreuter@suse.de
- send users by default to #suse IRC channel, not #kde (patch by stbinner)
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Mon Jan 30 2006 - stbinner@suse.de
- update to version 0.19
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - jreuter@suse.de
- build with -fstack-protector
* Tue Oct 18 2005 - dmueller@suse.de
- build
* Wed Jun 08 2005 - jreuter@suse.de
- fix bogus filter on %%n in command aliases
* Tue Jun 07 2005 - jreuter@suse.de
- update to version 0.18
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Apr 07 2005 - adrian@suse.de
- update to version 0.17
* Thu Mar 24 2005 - jreuter@suse.de
- upgrade to version 0.16
* Sat Mar 05 2005 - adrian@suse.de
- fix build for released distributions
* Tue Feb 01 2005 - jreuter@suse.de
- upgrade to version 0.15.1 (#50027):
- CAN-2005-0129 IRC command injection on pressing quick buttons
- CAN-2005-0130 shell command injection in perl scripts
- CAN-2005-0131 nick and password swapped on quick connect
* Mon Jan 03 2005 - adrian@suse.de
- fix installation of documentation files
- remove unneeded mad and mad-devel from nfb
* Wed Dec 01 2004 - jreuter@suse.de
- upgrade to version 0.15
* Tue Sep 07 2004 - jreuter@suse.de
- changed /quit and /part message to something less political (#43368)
- fixed character encoding dialog when using UTF-8 locale (#43368)
* Thu Jul 15 2004 - jreuter@suse.de
- do not register "irc" ort "irc6" protocol handler in case
  another one already exists
* Fri Jul 09 2004 - jreuter@suse.de
- upgrade to version 0.14
* Thu Feb 26 2004 - jreuter@suse.de
- fixed character encoding selection
- will start up with sensible default char encoding if it cannot be
  derived from config file or environment
* Wed Feb 25 2004 - jreuter@suse.de
- removed bogus re-definition of "unsigned long long" from server.cpp
* Mon Jan 19 2004 - jreuter@suse.de
- update_admin works again with current admin directory
* Sun Nov 16 2003 - jreuter@suse.de
- do not run update_admin (tar ball is missing some input files)
* Sun Nov 16 2003 - adrian@suse.de
- fix .mo file names
* Sat Nov 15 2003 - jreuter@suse.de
- upgrade to version 0.13
* Sat Aug 09 2003 - adrian@suse.de
- add Categories
* Sun Jun 15 2003 - coolo@suse.de
- package directories
- use %%find_lang
* Wed May 28 2003 - jreuter@suse.de
- new version 0.12
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Mar 28 2003 - jreuter@suse.de
- new version 0.11
* Tue Feb 25 2003 - sf@suse.de
- added fix to configure to find kdelibs
* Mon Feb 10 2003 - jreuter@suse.de
- initial package (konversation version 0.9)
